Retrieves a customer by its ID.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/customers/{customerId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/customers/{customerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/customers/{customerId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/customers/{customerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerAddresses": [
{
"customerAddressId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isDefault": true,
"addressType": 0,
"companyName": "<string>",
"additionalCompanyLine": "<string>",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryIso": "<string>",
"state": "<string>",
"emailAddress": "<string>",
"faxNumber": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"vatId": "<string>",
"gln": "<string>"
}
],
"isLocked": true,
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastChanged": "2023-11-07T05:31:56Z",
"customerGroup": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"discount": 123,
"name": "<string>",
"isDefault": true,
"isNetPrice": true
},
"languageIso": "<string>",
"commercialRegisterNumber": "<string>",
"taxIdentificationNumber": "<string>",
"homepage": "<string>"
}Customer
Retrieves a customer by its ID.
Retrieves a customer by its ID.
GET
/
v2
/
customers
/
{customerId}
Retrieves a customer by its ID.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/customers/{customerId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/customers/{customerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/customers/{customerId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/customers/{customerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerAddresses": [
{
"customerAddressId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isDefault": true,
"addressType": 0,
"companyName": "<string>",
"additionalCompanyLine": "<string>",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryIso": "<string>",
"state": "<string>",
"emailAddress": "<string>",
"faxNumber": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"vatId": "<string>",
"gln": "<string>"
}
],
"isLocked": true,
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastChanged": "2023-11-07T05:31:56Z",
"customerGroup": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"discount": 123,
"name": "<string>",
"isDefault": true,
"isNetPrice": true
},
"languageIso": "<string>",
"commercialRegisterNumber": "<string>",
"taxIdentificationNumber": "<string>",
"homepage": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Response
A customer.
Was this page helpful?